function Create(self)

	--Maximum allowed change in the speed's magnitude.
	self.maxchange = 3;
	
	--The velocity, last frame.
	self.lastvel = Vector(self.Vel.X,self.Vel.Y);
	
	local smoke = CreateMOSParticle("Crobotech Tiny Smoke Ball");
	smoke.Pos = self.Pos - (self.lastvel*0.4);
	smoke.Vel = self.Vel*0.2;
	smoke.Vel.X = smoke.Vel.X + ((math.random() - 0.5) * 7);
	smoke.Vel.Y = smoke.Vel.Y + ((math.random() - 0.5) * 7);
	
	MovableMan:AddParticle(smoke);
	
end

function Update(self)

	--Get the difference in magnitude between this frame's speed and last frame's speed.
	local change = self.lastvel.Magnitude - self.Vel.Magnitude;
	
	--Check if the change is drastic enough.
	if change > self.maxchange then
		--If it is, spawn the dust particle.
		local dust = CreateMOSParticle("Fire Puff Medium");
		dust.Pos = self.Pos;
		MovableMan:AddParticle(dust);
	end
	
	self.lastvel = Vector(self.Vel.X,self.Vel.Y);
end